Complete Single Record Workflow Task
Complete an open workflow task for a workflow configured for a single record. This endpoint does not support initiating task actions requiring eSignatures (where esignature is true).
POST
/api/{version}/objects/objectworkflows/tasks/{task_id}/actions/completeHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{task_id} | The task id field value. |
Body Parameters
Section link for Body ParametersControls with required=true in the Retrieve Workflow Task Action Details response must be provided. If a control (such as verdict) defines a set of required fields, those must also be provided. For example, a specific verdict may prompt for comments, reasons, or capacities.
This request may require the following body parameters:
| Name | Description |
|---|---|
verdict_public_key__cconditional | The verdict name. Retrieve possible verdict name values by sending a request to Retrieve Workflow Task Action Details. |
reason__cconditional | The reason name. Retrieve possible reason name values by sending a request to Retrieve Workflow Task Action Details. |
capacity__cconditional | The capacity name. Retrieve possible capacity name values by sending a request to Retrieve Workflow Task Action Details. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Accept: application/json" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d 'verdict_not_approved_comment__c=Can'\''t approve this batch.' \
-d 'verdict_public_key__c=verdict_not_approved__c'
https://myvault.veevavault.com/api/v25.1/objects/objectworkflows/tasks/9201/actions/completeResponse
Section link for Response{
"responseStatus": "SUCCESS"
}Response Details
Section link for Response DetailsOn SUCCESS, Vault completes the workflow task on behalf of the authenticated user.